DataRetrievalControllerGetData Method |
POST /DataRetrieval/GetData/
Gets the data for the specified objects with the specified settings.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetData")]
public Task<IActionResult> GetData(
[FromBodyAttribute] DataRequestData[] options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetData")>
Public Function GetData (
<FromBodyAttribute> options As DataRequestData(),
Optional sessionId As Guid? = Nothing
) As Task(Of IActionResult)public:
[HttpPostAttribute]
[ActionNameAttribute(L"GetData")]
Task<IActionResult^>^ GetData(
[FromBodyAttribute] array<DataRequestData^>^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetData")>]
member GetData :
[<FromBodyAttribute>] options : DataRequestData[] *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> Task<IActionResult>
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsDataRequestData
The options for how to retrieve the data. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the session.
Return Value
Type:
TaskIActionResult
Returns an array of
DataResultData with the results. If an error occurs, either a status code is returned indicating the problem, or the Exceptions property on
the result will be populated with one or more errors.
See Also